from tkinter import ttk, NS, EW
from ttkthemes import ThemedTk


class FrameSaves(ttk.Frame):

    def __init__(self, master: ThemedTk, **kwargs) -> None:

        super().__init__(master, **kwargs)

        master.title("Saves - Stardew Sync")

        self["borderwidth"] = 2
        self["relief"] = "solid"

        for btn in range(0, 10):
            ttk.Button(self, text="SAVES "+str(btn)).grid(column=0, row=btn, padx=9, pady=9, sticky=EW)

        self.scrollbar = ttk.Scrollbar(self, orient="vertical")
        self.scrollbar.grid(column=1, row=0, sticky=NS)


class FrameDevices(ttk.Frame):

    def __init__(self, master: ThemedTk, **kwargs) -> None:

        super().__init__(master, **kwargs)

        master.title("Devices - Stardew Sync")

        self["borderwidth"] = 2
        self["relief"] = "solid"

        for btn in range(0, 10):
            ttk.Button(self, text="DEVICES "+str(btn)).grid(column=0, row=btn, padx=9, pady=9, sticky=EW)

        self.scrollbar = ttk.Scrollbar(self, orient="vertical")
        self.scrollbar.grid(column=1, row=0, sticky=NS)


class FrameSettings(ttk.Frame):

    def __init__(self, master: ThemedTk, **kwargs) -> None:

        super().__init__(master, **kwargs)

        master.title("Settings - Stardew Sync")

        self["borderwidth"] = 2
        self["relief"] = "solid"

        for btn in range(0, 10):
            ttk.Button(self, text="SETTINGS "+str(btn)).grid(column=0, row=btn, padx=9, pady=9, sticky=EW)

        self.scrollbar = ttk.Scrollbar(self, orient="vertical")
        self.scrollbar.grid(column=1, row=0, sticky=NS)